aboutsummaryrefslogtreecommitdiff
path: root/bin/rc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rc.sh')
-rwxr-xr-xbin/rc.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/bin/rc.sh b/bin/rc.sh
new file mode 100755
index 0000000..2220893
--- /dev/null
+++ b/bin/rc.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+###
+RED=$(tput setaf 1)
+MAGENTA=$(tput setaf 5)
+CYAN=$(tput setaf 6)
+NORMAL=$(tput sgr0)
+###
+
+usage () {
+ printf "%s\t%s\n\n%s\n %s\t%s\n %s\t%s\n" \
+ "Usage:" "$(basename "$0") [options] [filename]" \
+ "Basic options:" \
+ "-h" "show this help page" \
+ "-d" "dESTROY the waste bin's content"
+ exit "$1"
+}
+
+[ ${#} -eq 1 ] || usage 1
+WASTE="$1"
+[ -f "$WASTE" ] || [ -d "$WASTE" ] || usage 1
+
+WASTE_BIN="$HOME/.local/waste_bin"
+[ -d "$WASTE_BIN" ] || \
+ ( mkdir "$WASTE_BIN" && \
+ printf "%s[Creating the following directory : %s]%s\n" "$MAGENTA" "$WASTE_BIN" "$NORMAL" )
+
+printf "%s[Moving %s to the waste bin]%s\n" "$CYAN" "$1" "$NORMAL"
+mv --verbose --target-directory="$WASTE_BIN" "$1" || \
+ printf "%s[An error occured while moving %s to %s]%s\n" "$RED" "$1" "$WASTE_BIN" "$NORMAL"